### Hierarchy

- SharedData

## Index

### Properties

- data

### Accessors

- size

### Methods

- extractKeysByRoot
- get
- getDataTo
- getKeyValue
- set
- toList

## Properties

### data

data: Map<string, Array<FieldData>> = new Map()

- Defined in repository/models/SharedData.ts:4

## Accessors

### size

- get size(): number

- - Defined in repository/models/SharedData.ts:6

  #### Returns number

## Methods

### extractKeysByRoot

- extractKeysByRoot(): Map<string, Map<string, FieldData>>

- - Defined in repository/models/SharedData.ts:60

  #### Returns Map<string, Map<string, FieldData>>

### get

- get(ancestor: string, root?: string): Map<string, FieldData>

- - Defined in repository/models/SharedData.ts:23

  #### Parameters

  - ##### ancestor: string

  - ##### Optional root: string

  #### Returns Map<string, FieldData>

### getDataTo

- getDataTo(to: string): Array<FieldData>

- - Defined in repository/models/SharedData.ts:47

  #### Parameters

  - ##### to: string

  #### Returns Array<FieldData>

### getKeyValue

- getKeyValue(ancestor: string, root?: string): Map<string, string | undefined>

- - Defined in repository/models/SharedData.ts:38

  #### Parameters

  - ##### ancestor: string

  - ##### Optional root: string

  #### Returns Map<string, string | undefined>

### set

- set(data: FieldData): void

- - Defined in repository/models/SharedData.ts:10

  #### Parameters

  - ##### data: FieldData

  #### Returns void

### toList

- toList(): Array<FieldData>

- - Defined in repository/models/SharedData.ts:51

  #### Returns Array<FieldData>

Generated using TypeDoc